#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#include "GraphicsCom.c"
#include "Graf.h"
#include "grafprot.h"

/* Draw a bullet at user coordinates x,y with fiducial radius r */

void DrawBullet(double x,double y,double r)
{
  int ix,iy,ir;

  ix=UserxToPix(x);
  iy=UseryToPix(y);

  ir=nint(r*G.fidconvp);
  fprintf(G.psfile,"newpath %d %d %d 0 360 arc fill\n",ix,iy,ir);
}
