#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#include "GraphicsCom.c"
#include "Graf.h"
#include "grafprot.h"

#define YMAX 9999.0
#define YMIN -9999.0

/* Convert from user coordinates to (page) pixel coordinates */

int UseryToPix(double y)
{
  if(G.iylinlog==1){
    if(y==0.0)y=G.yuser-3.0*G.dyuser;
    else{
      if(y<0.0){
        fprintf(stderr,"UseryToPix: Neg coords with log scale\n");
        y=fabs(y);
      }
      y=log10(y);
    }
  }

  y=(G.ywind+((y-G.yuser)/G.dyuser)*G.dywind)*G.conv;  
  y=MAX(y,YMIN);
  y=MIN(y,YMAX);
  return(nint(y));
}
