#include <stdio.h>
#include <math.h>
#include "wallprot.h"

/* Basic wall force function.

   wf0(x) = -1/(1+exp(-2x))

*/

double wf0(double x)
{
  double y;

  if(x<-345.0)y=0.0;
  else if(x>18.4)y=-1.0;
  else y=-1.0/(1.0+exp(-2.0*x));
  return(y);
}
