#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#include "GraphicsCom.c"
#include "Graf.h"
#include "grafprot.h"

/* Set the line width, measured in page pixel units */

void SetLineWidth(int lw)
{
  static char function_name[]="SetLineWidth";
  if(lw<0 || lw>1000){
    fprintf(stderr,"lw out of bounds in %s\n",function_name);
  }
  lw=MAX(lw,1);
  lw=MIN(lw,1000);

  if(G.linwid!=lw){
    G.linwid=lw;
    fprintf(G.psfile,"%d setlinewidth\n",lw);
  }
}
