#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#include "GraphicsCom.c"
#include "Graf.h"
#include "grafprot.h"

#define XMAX 9999.0
#define XMIN -9999.0

/* Convert from user coordinates to (page) pixel coordinates */

int UserxToPix(double x)
{
  if(G.ixlinlog==1){
    if(x==0.0)x=G.xuser-3.0*G.dxuser;
    else{
      if(x<0.0){
        fprintf(stderr,"UserxToPix: Neg coords with log scale\n");
        x=fabs(x);
      }
      x=log10(x);
    }
  }

  x=(G.xwind+((x-G.xuser)/G.dxuser)*G.dxwind)*G.conv;  
  x=MAX(x,XMIN);
  x=MIN(x,XMAX);
  return(nint(x));
}
