#include <stdlib.h>
#include <stdio.h>
#include <math.h>

main()
{
  FILE *wfile;
  int npts,i;
  double x,dx,xmin,xmax,y;

  if((wfile=fopen("wall.dat","w"))==NULL){
    printf("Cannot open wall.dat\n");
    exit(1);
  }

  npts=200;
  xmin=-4.0;
  xmax=4.0;
  dx=(xmax-xmin)/(npts-1);
  
  fprintf(wfile,"Begin Curve Points\n");
  for(i=0;i<npts;++i){
    x=xmin+i*dx;
    y=0.5*(x+log(exp(x)+exp(-x)));
    fprintf(wfile,"%g %g\n",x,y);
  }
  fprintf(wfile,"End Curve Points\n");
  fclose(wfile);
  exit(0);
}
